Subject: [PATCH 1/2] serial/imx: add DMA support

From: [email-masked] (Huang Shijie)
Date: Fri, 27 Apr 2012 14:09:53 +0800

Hi,
>> +/* see the "i.MX61 SDMA Scripts User Manual.doc" for the parameters */
> I can't see how the manual helps here.
sorry, the comment is in the wrong place. it should placed at 
configuring the `slave_config`.
> Please test this patch at least on one more SoC. There should be nothing
> i.MX6 specific in here, the fact that the i.MX6 is mentioned several
> times in the comments make me suspicious.
There are bugs in the UART DMA code in the firmware before the imx6q.  
So we can not test the UART DMA except the imx6q arm2 board.

thanks

Huang Shijie